<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
	  data-namespace-typo3-fluid="true">
<!--
	=====================
		Partials/List/Item.html
-->
<div class="card" itemscope="itemscope" itemtype="http://schema.org/Article">
	<n:excludeDisplayedNews newsItem="{newsItem}"/>

    <f:if condition="{newsItem.mediaPreviews}">
		<!-- media preview element -->
		<f:then>
            <n:link newsItem="{newsItem}" settings="{settings}" title="{newsItem.title}">
                <f:alias map="{mediaElement: '{newsItem.mediaPreviews.0}'}">
                    <f:if condition="{mediaElement.originalResource.type} == 2">
                        <f:image class="img-fluid zoom-in-out" image="{mediaElement}" title="{mediaElement.originalResource.title}" alt="{mediaElement.originalResource.alternative}" width="800c" height="450c"/>
                    </f:if>
                    <f:if condition="{mediaElement.originalResource.type} == 4">
                        <f:render partial="Detail/MediaVideo" arguments="{mediaElement: mediaElement}"/>
                    </f:if>
                    <f:if condition="{mediaElement.originalResource.type} == 5">
                        <f:image class="has-zoom card-img-top zoom-in-out" image="{mediaElement}" title="{mediaElement.originalResource.title}" alt="{mediaElement.originalResource.alternative}" maxWidth="{f:if(condition: settings.media.maxWidth, then: settings.media.maxWidth, else: settings.list.media.image.maxWidth)}" maxHeight="{f:if(condition: settings.media.maxHeight, then: settings.media.maxHeight, else: settings.list.media.image.maxHeight)}"/>
                    </f:if>
                </f:alias>
            </n:link>
		</f:then>
		<f:else>
			<f:if condition="{settings.displayDummyIfNoMedia}">
                <n:link newsItem="{newsItem}" settings="{settings}" title="{newsItem.title}">
                    <f:image src="{settings.list.media.dummyImage}" title="" alt="" maxWidth="{f:if(condition: settings.media.maxWidth, then: settings.media.maxWidth, else: settings.list.media.image.maxWidth)}" maxHeight="{f:if(condition: settings.media.maxHeight, then: settings.media.maxHeight, else: settings.list.media.image.maxHeight)}"/>
                </n:link>
			</f:if>
		</f:else>
	</f:if>

    <div class="card-body">

        <f:if condition="{newsItem.firstCategory}">
            <!-- first category -->
            <h6 class="text-uppercase sansserif text-gray">{newsItem.firstCategory.title}</h6>
        </f:if>

        <!-- header -->
        <h5 class="card-title">
            <n:link class="serif" newsItem="{newsItem}" settings="{settings}" title="{newsItem.title}">
                <span itemprop="headline">{newsItem.title}</span>
            </n:link>
        </h5>

        <div class="card-content">

            <n:link class="more-link" newsItem="{newsItem}" settings="{settings}" title="{newsItem.title}">
                <i class="fa fa-chevron-right"></i> <f:translate key="news.readmore" extensionName="akademie_ruhr" />
            </n:link>
        </div>

    </div>

</div>
</html>
